Get V2 vault pending governance actions
Pending governance actions for a Morpho Vault V2, decoded from the on-chain timelock submit calldata. Unknown selectors are returned with null parameters.
Vault selector example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11 (format: <chain_id>:<vault_address>; replace with the target vault).
Enterprise API access
For enterprise access, use https://private.api.morpho.org as the base URL and send your API key in the x-api-key header. Request an API key.
Path Parameters
vault-selector*string
Selector formatted as <chain_id>:<vault_address>. Example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11.
Format
<chain_id>:<vault_address>Query Parameters
limit?integer
Default
100Range
1 <= value <= 1000cursor?string
Response Body
application/json
const baseUrl = process.env.CORE_REST_BASE_URL ?? "https://api.morpho.org";const apiKey = process.env.MORPHO_API_KEY ?? "<MORPHO_API_KEY>";const vaultSelector = "1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11";const url = new URL(`${baseUrl}/v0/vaults-v2/${vaultSelector}/pending-governance-actions`);const response = await fetch(url, { headers: { accept: "application/json", "x-api-key": apiKey, },});if (!response.ok) throw new Error(await response.text());const body = await response.json();{
"params": {
"chain_id": 1,
"vault_address": "0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11"
},
"data": [
{
"action_type": "set_is_allocator",
"parameters": {
"account": "0x3F32bC09d41eE699844F8296e806417D6bf61Bba",
"is_allocator": true
},
"submitted_transaction_hash": "0x1111111111111111111111111111111111111111111111111111111111111111",
"executable_at_timestamp": 1730086400
},
{
"action_type": "increase_timelock",
"parameters": {
"selector": "0xf6f98fd5",
"new_duration_seconds": "604800"
},
"submitted_transaction_hash": "0x2222222222222222222222222222222222222222222222222222222222222222",
"executable_at_timestamp": 1730086400
},
{
"action_type": "increase_absolute_cap",
"parameters": {
"id_data": "0x1234",
"new_absolute_cap": "1000000000"
},
"submitted_transaction_hash": "0x3333333333333333333333333333333333333333333333333333333333333333",
"executable_at_timestamp": 1730086400
},
{
"action_type": "unknown",
"parameters": null,
"submitted_transaction_hash": "0x4444444444444444444444444444444444444444444444444444444444444444",
"executable_at_timestamp": 1730172800
}
],
"cursor": null,
"last_indexed_block": "19847234"
}